#include    <avr/io.h>
#include    <avr/interrupt.h>
#include "Observation.h"

ISR(TIMER1_OVF_vect)
{
    /* toggle PB0 */
    PORTB ^= (1<<PB0);
}

unsigned int t;

int main(void)
{
    DDRB |= (1<<PB0);
    TCCR1B = (1 << CS10); // timer start running at full speed
    TIMSK = (1<<TOIE1); // Overflow Interrupt Enable
    sei();
    for(;;) {
        t = SafeReadTCNT1();
    }
    return 0;
}