// Hauptfunktion (aufgerufen von der main Funktion) einer AA
// unter Verwendung des Deterministic Client.
int AppCode(void)
{
    ActivationReturnType dccType; // Deterministic Client
                                  // Cycle (DCC) type

    while (1) { // Endlosschleife
        dccType = DeterministicClient.WaitForNextActivation();
        // Jede Ausfuehrung des nachfolgenden Codes enspricht
        // einem Zyklus, einem "Cycle"
        switch (dccType) {
        case kRegisterServices:
            // hier Aufruf des "Register Services" Codes
            break;
        case kServiceDiscovery:
            // hier Aufruf des "Service Discovery" Codes
            break;
        case kInit:
            // hier Aufruf des "Init" Codes
            break;
        case kRun:
            // hier Aufruf des (zyklischen) "Run" Codes
             break;
        case kTerminate:
            return 0; // regulaere Terminierung
        default: // ungueltiger Rueckgabewert
            return 1; // Terminierung mit Fehler
        }
    }
}